*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  min-width: 290px;
  color: #4d4e53;
  background-color: #423a3a;
  font-family: 'Open Sans', Arial, sans-serif;
  line-height: 1.5;
}
/*

-----------------

*/
#navcase{
    position: fixed;
    width: 300px;
    height: 100%;
    background-color: rgb(41, 41, 29);
}
#navbar  {
  position: fixed;
  min-width: 290px;
  top: 40px;
  left: -240px;
  width: 300px;
  height: 100%;
  transition: .3s;
  padding: 2px;
  text-decoration: none;
  
  

}
#navbar:hover{
    left: 0px;
}

#navbar a {
    display: flex;
    padding: 10px 30px;
    color: #4d4e53;
    text-decoration: none;
    cursor: pointer;
  }
  #navbar li{
      list-style: none;
  }
/* 

-----------------------

*/

header {
  color: black;
  margin: 10px;
  text-align: center;
  font-size: 1.8em;
  font-weight: thin;
}

#main-doc header {
  text-align: left;
  margin: 0px;
}

/*     

----------------------------

*/

#intro{
    top: 50px;
    background-color: pink;
}
#what{
    top: 40px;
    background-color: rgba(133, 104, 104, 0.075);
}   

#javas{
    top: 40px;
    background-color: rgba(165, 42, 42, 0.075);
}
#hello{
    top: 40px;
    background-color: rgb(32, 23, 23);
}
#vari{
    top: 40px;
    background-color: rgb(102, 81, 81);
}
#decla{
    top: 40px;
    background-color: rgba(0, 107, 66, 0.404);
}
#varis{
    top: 40px;
    background-color: rgba(2, 2, 46, 0.329);
}
#glova{
    top: 40px;
    background-color: rgba(90, 92, 62, 0.479);
}
#constants{
    top: 40px;
    background-color: rgba(112, 103, 103, 0.541);
}
#datat{
    top: 40px;
    background-color: rgba(165, 42, 42, 0.274);
}
#ifelse{
    top: 40px;
    background-color: rgba(53, 79, 100, 0.507);
}
#whilest{
    top: 40px;
    background-color: rgba(85, 49, 49, 0.418);
}
#funcdec{
    top: 40px;
    background-color: rgb(34, 59, 71);
}
#refer{
    top: 40px;
    background-color: rgb(69, 118, 141);
}


/*

-------------------------------

*/

#main-doc {
  position: absolute;
  margin-left: 310px;
  padding: 20px;
  margin-bottom: 110px;
}

section article {
  color: #4d4e53;
  margin: 15px;
  font-size: 0.96em;
}

section li {
  margin: 15px 0px 0px 20px;
}

code {
  display: block;
  text-align: left;
  white-space: pre-line;
  position: relative;
  word-break: normal;
  word-wrap: normal;
  line-height: 2;
  background-color: #f7f7f7;
  padding: 15px;
  margin: 10px;
  border-radius: 5px;
}

